# Generated from volatility-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name volatility

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Source Code Volatility
License: MIT
URL: http://github.com/yegor256/volatility
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
# BuildRequires: rubygem(codecov) = 0.1.10
# BuildRequires: rubygem(cucumber) >= 1.3.17
# BuildRequires: rubygem(cucumber) < 1.4
# BuildRequires: rubygem(minitest) = 5.5.0
# BuildRequires: rubygem(rspec-rails) = 3.1.0
# BuildRequires: rubygem(rubocop) = 0.61.0
# BuildRequires: rubygem(rubocop-rspec) = 1.31.0
BuildArch: noarch

%description
The command line tool calculates the SCV metric for a Git repo.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/volatility
%{gem_instdir}/.0pdd.yml
%{gem_instdir}/.gitattributes
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.latexmkrc
%{gem_instdir}/.pdd
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.rultor.yml
%{gem_instdir}/.simplecov
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/appveyor.yml
%{gem_instdir}/bin
%{gem_instdir}/theory.pdf
%{gem_instdir}/theory.tex
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cucumber.yml
%{gem_instdir}/features
%{gem_instdir}/volatility.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.2.1-1
- Initial package
